import Taro from '@tarojs/taro'
import { View, Text, } from '@tarojs/components'
import { compressImage } from '@/utils'
import CouponCard from '@/components/CouponCard'
import SaveIcon from '@/components/SaveIcon'
import Location from '@/components/Location'
import { saveTravel } from '@/services/travel'
import add from '@/assets/icons/Travel/add.png'
import './style.less'

const CouponMedia = CouponCard.Media
const Action = CouponCard.Action

//套餐卡片
export default (props) => {
  const { item, st, editable, travelId, handelAddTravel, dayNumber } = props
  const { targetId,  targetType } = props.item
  const goDetail = () => {
    Taro.navigateTo({ url: `/pages/details/mjDetails/sceneryDetails?id=${targetId}` })
  }
  const goFood = () => {
    Taro.navigateTo({ url: `/pages/details/foodDetails/foodDetails?id=${targetId}` })
  }
  const handlePayClick = (e) => {
    saveTravel(travelId, { dayOrder: dayNumber, targetId: targetId, targetType: targetType }).then((res) => {
      Taro.showToast({
        title: '添加成功',
        icon: 'none',
        duration: 1000
      })
      handelAddTravel()
    })
  }
  const PayAction = <Action.Icon icon={add} text='增加' onClick={handlePayClick} />
  return (
    <View style={{ margin: '15px 5px' }} >
      <CouponCard action={PayAction}>
        <CouponMedia onClick={item.targetType === 'tourist' ? goDetail : goFood}>
          <CouponMedia.Header
            cashback={item.cashback}
            image={compressImage(item.poster)}
          />
          <CouponMedia.Body star={st}>
            <View className='foodCard'>
              <View className='cpn-card-text'>
                {(item.title).toString().length > 25 ? (item.title).substring(0, 25) + '...' : (item.title)}
              </View>
              <View className='cpn-card-text' style={{ marginTop: '10rpx' }}>
                <Text className='cpn-card-text_mn'>￥{`${(item.averagePrice == '' ? '0.00' : item.averagePrice / 100)?.toFixed(2)}元`}</Text>
              </View>
              <View className='cpn-md-act'>
                <Location {...item} />
                <SaveIcon saved={item.isSaved > 0} targetType={item.targetType} editable={editable} targetId={item.targetId} />
              </View>
            </View>
          </CouponMedia.Body>
        </CouponMedia>
      </CouponCard>
    </View>
  )
}