import Taro from "@tarojs/taro"
import { Image, View,Text } from "@tarojs/components"
import {  useState } from "react"
import './style.less'


export default (props) => {
  const { ico, onSelected, nextQuestio } = props
  const LeftHand = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/LeftHand.png'
  const RightHand = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/RightHand.png'

  const [imageOne, setImageOne] = useState(false)
  const [imageTow, setImageTow] = useState(false)

  const handleLeftHand = () => {
    setImageOne(true)
    setImageTow(false)
    onSelected()
    setTimeout(() => {
      nextQuestio()
    }, 500);
  }

  const handleRightHand = () => {
    setImageOne(false)
    setImageTow(true)
    onSelected()
    setTimeout(() => {
      nextQuestio()
    }, 500);
  }

  return (
    <View >
      <View style='font-size: 20px;font-weight: bold;color: #140F0F;marginLeft:10px;;'>
        3<Text style='font-size: 13px;font-weight: bold;color: #140F0F;'> / 5 </Text>双手交叉相握，你是拇指在上还是右手拇指在上？
      </View>
      <View className='Hand-Conste-box' onClick={handleLeftHand} >
        <View className='Hand-box-imageContent'>
          <Image className={`Hand-box-image  ${imageOne && 'Hand-imageLess'} `} src={LeftHand} />
        </View>
        <View className='Hand-box-content' >
          <View className='Hand-box-C-title' >
            Head
          </View>
          <View className='Hand-box-C-moon' >
            左手
          </View>
        </View>
      </View>
      <View className='Hand-Conste-box' onClick={handleRightHand} >
        <View className='Hand-box-imageContent'>
          <Image className={`Hand-box-image  ${imageTow && 'Hand-imageLess'} `} src={RightHand} />
        </View>
        <View className='Hand-box-content' >
          <View className='Hand-box-C-title' >
            Right
          </View>
          <View className='Hand-box-C-moon' >
            右手
          </View>
        </View>
      </View>
    </View>
  )
}