import Taro from '@tarojs/taro'
import { Image, View } from '@tarojs/components'
import React, { useState } from 'react'
import CustomNav from '@/components/CustomNav'
import oneDay from '@/assets/icons/Travel/oneDay.png'
import twoDay from '@/assets/icons/Travel/twoDay.png'
import threeDay from '@/assets/icons/Travel/threeDay.png'
import custom from '@/assets/icons/Travel/custom.png'
import CustomDay from './components/CustomDay/index.jsx'
import TwoModel from './components/TwoModel/index.jsx'
import './style.less'

export default (props) => {
  //自定义弹窗标识位
  const [showCutover, setShowCutover] = useState(false)
  //标准天数弹窗标识位
  const [showCutoverTwo, setShowCutoverTwo] = useState(false)
  //汉字天数
  const [dayNum1,setDayNum1]=useState()
  //数字天数
  const [dayNum2,setDayNum2]=useState()

  const onClose = () => {
    setShowCutover(false)
  }
  const handelCustom = () => {
    setShowCutover(true)
  }
  const handelDay = () => {
    //打开一日游
    setDayNum1('一')
    setDayNum2(1)
    setShowCutoverTwo(true)
  }  
  const handelTowDay = () => {
    //打开二日游
    setDayNum1('二')
    setDayNum2(2)
    setShowCutoverTwo(true)
  }
  const handelThreeDay = () => {
    //打开三日游
    setDayNum1('三')
    setDayNum2(3)
    setShowCutoverTwo(true)
  }
  const onCloseTwo = () => {    
    setShowCutoverTwo(false)
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='定制行程' />
      </View>
      <CustomDay showCutover={showCutover} onClose={onClose} />
      <TwoModel showCutover={showCutoverTwo} onClose={onCloseTwo} dayNum2={dayNum2} dayNum1={dayNum1}/>
      <View className='index-container custom'>
        <View className='selectbtn'>
          <Image src={oneDay} className='img' onClick={handelDay}></Image>
          <Image src={twoDay} className='img' onClick={handelTowDay}></Image>
          <Image src={threeDay} className='img' onClick={handelThreeDay}></Image>
          <Image src={custom} className='img' onClick={handelCustom}></Image>
        </View>
      </View>
    </View>
  )
}